Skip to main content

Nexus API

List transactions by category GUID and date

This endpoint returns transactions with the specified category GUID within the date range provided. This endpoint returns paginated results; each page will need to be requested separately to retrieve the data on that page. The total_pages field returns an integer representing the total pages to be requested.

GET
/transactions/by_category_guid/{category_guid}/by_date/{start_date}/{end_date}

Path Parameters

FieldRequiredType

category_guid

The unique identifier for the category. Defined by MX.

Required
String

start_date

The start date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

Required
String

end_date

The end date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

Required
String

Query Parameters

FieldRequiredType

account_guid[]

Return transactions belonging to any account GUID specified in the request URL. For example, /transactions/by_category_guid/CAT-e04e9d1e-e041-c315-2e50-094143ab3f73/by_date/2016-06-28/2016-07-25?page=2&records_per_page=100&account_guids[]=ACT-00266e24-5980-0213-96aa-649246a418af&account_guids[]=ACT-15f3a4de-cb45-d892-4480-6d05576011a8.

Optional
String

page

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

Optional
Integer

records_per_page

Requests to all list endpoints that return multiple transactions (e.g. list transactions) should specify the desired records_per_page. The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

Optional
Integer

use_case

The use case associated with the member.

Optional
String
Loading...